import random as r

def estPalindrome(var):
  if(var == var[::-1]):
    return True
  else:
   return False

def estPalindromeVerif(var):
  if(var == var[::-1]):
    return True
  else:
   return False


def testPalindrome(x):
  l=[1,2,3,2,1]
  if(estPalindrome(l)==False):
    return False
  l=[9,5,7,7,9]
  if(estPalindrome(l)==True):
    return False
  for i in range(x):
    for j in range(r.randint(1,10)):
      l.append(r.randint(0,9))
    if(estPalindromeVerif(l)!=estPalindrome(l)):
      return False
    l=[]
  return True
    

